GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Member Functions
PagerankProgram Struct Reference
Inheritance diagram for PagerankProgram:

List of all members.

## Public Member Functions
void | before_iteration (int iteration, graphchi_context &info)
void | after_iteration (int iteration, graphchi_context &ginfo)
void | before_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &ginfo)
void | update (graphchi_vertex< VertexDataType, EdgeDataType > &v, graphchi_context &ginfo)
void | before_iteration (int iteration, graphchi_context &gcontext)
void | after_iteration (int iteration, graphchi_context &gcontext)
void | before_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &ginfo)
void | update (graphchi_vertex< VertexDataType, EdgeDataType > &v, graphchi_context &ginfo)
Public Member Functions inherited from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >
virtual void | after_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)

## Additional Inherited Members
Public Types inherited from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >
typedef VertexDataType | VertexDataType
typedef EdgeDataType | EdgeDataType

## Member Function Documentation

void PagerankProgram::after_iteration | ( | int | iteration,
|  | graphchi_context & | ginfo
| ) |  |
| inline virtual

Called after an iteration has finished. Not implemented.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void PagerankProgram::after_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an iteration has finished.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void PagerankProgram::before_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | ginfo
| ) |  |
| inline virtual

Called before an execution interval is started. Not implemented.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void PagerankProgram::before_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | ginfo
| ) |  |
| inline virtual

Called before an execution interval is started.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void PagerankProgram::before_iteration | ( | int | iteration,
|  | graphchi_context & | info
| ) |  |
| inline virtual

Called before an iteration starts. Not implemented.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void PagerankProgram::before_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an iteration starts.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void PagerankProgram::update | ( | graphchi_vertex< VertexDataType, EdgeDataType > & | v,
|  | graphchi_context & | ginfo
| ) |  |
| inline virtual

Pagerank update function.

Implements graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void PagerankProgram::update | ( | graphchi_vertex< VertexDataType, EdgeDataType > & | v,
|  | graphchi_context & | ginfo
| ) |  |
| inline virtual

Pagerank update function.

Implements graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

The documentation for this struct was generated from the following files:

- example_apps/pagerank.cpp
- example_apps/streaming_pagerank.cpp